| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Ogre::ColourInterpolatorAffector Class Reference

`#include <OgreColourInterpolatorAffector.h>`

Inheritance diagram for Ogre::ColourInterpolatorAffector:
[legend]

## Classes
class | CmdColourAdjust
| Command object for red adjust (see ParamCommand). More...
class | CmdTimeAdjust
| Command object for red adjust (see ParamCommand). More...

## Public Types
enum | { MAX_STAGES = 6 }

## Public Member Functions
| ColourInterpolatorAffector (ParticleSystem *psys)
| Default constructor. More...
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed)
| See ParticleAffector. More...
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system. More...
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object. More...
ColourValue | getColourAdjust (size_t index) const
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class. More...
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method. More...
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object. More...
Real | getTimeAdjust (size_t index) const
const String & | getType (void) const
| Returns the name of the type of affector. More...
void | setColourAdjust (size_t index, ColourValue colour)
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method. More...
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method. More...
void | setTimeAdjust (size_t index, Real time)

## Static Public Member Functions
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g. More...

## Static Public Attributes
static CmdColourAdjust | msColourCmd [MAX_STAGES]
static CmdTimeAdjust | msTimeCmd [MAX_STAGES]

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MAX_STAGES |

## Constructor & Destructor Documentation

## ◆ ColourInterpolatorAffector()

Ogre::ColourInterpolatorAffector::ColourInterpolatorAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::ColourInterpolatorAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed
| ) |  |
| virtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ setColourAdjust()

void Ogre::ColourInterpolatorAffector::setColourAdjust | ( | size_t | index,
|  | ColourValue | colour
| ) |  |

## ◆ getColourAdjust()

ColourValue Ogre::ColourInterpolatorAffector::getColourAdjust | ( | size_t | index | ) | const

## ◆ setTimeAdjust()

void Ogre::ColourInterpolatorAffector::setTimeAdjust | ( | size_t | index,
|  | Real | time
| ) |  |

## ◆ getTimeAdjust()

Real Ogre::ColourInterpolatorAffector::getTimeAdjust | ( | size_t | index | ) | const

## ◆ _initParticle()

virtual void Ogre::ParticleAffector::_initParticle | ( | Particle * | pParticle | ) |
| inline virtual inherited

Method called to allow the affector to initialize all newly created particles in the system.

Remarks
  This is where the affector gets the chance to initialize it's effects to the particles of a system. The affector is expected to initialize some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pParticle | Pointer to a Particle to initialize.

Reimplemented in Ogre::RotationAffector, and Ogre::ColourImageAffector.

## ◆ getType()

const String& Ogre::ParticleAffector::getType | ( | void |  | ) | const
| inline inherited

Returns the name of the type of affector.

Remarks
  This property is useful for determining the type of affector procedurally so another can be created.

## ◆ getParamDictionary() [1/2]

ParamDictionary* Ogre::StringInterface::getParamDictionary | ( | void |  | ) |
| inline inherited

Retrieves the parameter dictionary for this class.

Remarks
  Only valid to call this after createParamDictionary.

Returns
  Pointer to ParamDictionary shared by all instances of this class which you can add parameters to, retrieve parameters etc.

## ◆ getParamDictionary() [2/2]

const ParamDictionary* Ogre::StringInterface::getParamDictionary | ( | void |  | ) | const
| inline inherited

## ◆ getParameters()

const ParameterList& Ogre::StringInterface::getParameters | ( | void |  | ) | const
| inherited

Retrieves a list of parameters valid for this object.

Returns
  A reference to a static list of ParameterDef objects.

## ◆ setParameter()

bool Ogre::StringInterface::setParameter | ( | const String & | name,
|  | const String & | value
| ) |  |
| inherited

Generic parameter setting method.

Remarks
  Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from StringInterface::getParameters.

Parameters

  name | The name of the parameter to set
  value | String value. Must be in the right format for the type specified in the parameter definition. See the StringConverter class for more information.

Returns
  true if set was successful, false otherwise (NB no exceptions thrown - tolerant method)

Referenced by Ogre::StringInterface::copyParametersTo().

## ◆ setParameterList()

void Ogre::StringInterface::setParameterList | ( | const NameValuePairList & | paramList | ) |
| inherited

Generic multiple parameter setting method.

Remarks
  Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from StringInterface::getParameters.

Parameters

  paramList | Name/value pair list

## ◆ getParameter()

String Ogre::StringInterface::getParameter | ( | const String & | name | ) | const
| inline inherited

Generic parameter retrieval method.

Remarks
  Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use StringConverter to convert this string back into a native type.

Parameters

  name | The name of the parameter to get

Returns
  String value of parameter, blank if not found

References Ogre::ParamCommand::doGet().

## ◆ copyParametersTo()

void Ogre::StringInterface::copyParametersTo | ( | StringInterface * | dest | ) | const
| inline inherited

Method for copying this object's parameters to another object.

Remarks
  This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop.

  Any unrecognised parameters will be ignored as with setParameter method.

Parameters

  dest | Pointer to object to have it's parameters set the same as this object.

References Ogre::StringInterface::setParameter().

## ◆ cleanupDictionary()

static void Ogre::StringInterface::cleanupDictionary | ( |  | ) |
| static inherited

Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

MaterialManager) initializes.

## Member Data Documentation

## ◆ msColourCmd

CmdColourAdjust Ogre::ColourInterpolatorAffector::msColourCmd[MAX_STAGES]
| static

## ◆ msTimeCmd

CmdTimeAdjust Ogre::ColourInterpolatorAffector::msTimeCmd[MAX_STAGES]
| static

The documentation for this class was generated from the following file:

- OgreColourInterpolatorAffector.h